<?php

namespace App\Helper;

class ContractHelper
{
    /**
     * @throws \Exception if the predicate is not fulfilled an exception is thrown.
     */
    public static function requires(bool $predicate, string $errorMessage): void
    {
        if (! $predicate) {
            throw new \Exception($errorMessage);
        }
    }
}
